package com.ruoyi.project.training.spec.domain.vo;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 继任者清单导出内容
 *
 * @author Wang Zi Wen
 * @email wangggziwen@163.com
 * @date 2022/05/26 09:36:15
 */
public class TStSuccessorExportVO extends BaseEntity
{
    @Excel(name = "员工编号")
    private String staffId;

    @Excel(name = "培养员工")
    private String staffName;

    @Excel(name = "当前岗位", dictType = "ACTUALPOST")
    private String currentPost;

    @Excel(name = "班值", dictType = "TEAM_DIVIDE")
    private String team;

    @Excel(name = "目标岗位", dictType = "ACTUALPOST")
    private String futurePost;

    @Excel(name = "导师")
    private String mentorStaffName;

    @Excel(name = "培训状态", dictType = "st_successor_status")
    private Long state;

    @Excel(name = "一季度")
    private String quarterOne;

    @Excel(name = "二季度")
    private String quarterTwo;

    @Excel(name = "三季度")
    private String quarterThree;

    @Excel(name = "四季度")
    private String quarterFour;

    @Excel(name = "年度")
    private String year;

    @Excel(name = "部门")
    private String deptName;

    @Excel(name = "备注")
    private String remarks;

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getCurrentPost() {
        return currentPost;
    }

    public void setCurrentPost(String currentPost) {
        this.currentPost = currentPost;
    }

    public String getTeam() {
        return team;
    }

    public void setTeam(String team) {
        this.team = team;
    }

    public String getFuturePost() {
        return futurePost;
    }

    public void setFuturePost(String futurePost) {
        this.futurePost = futurePost;
    }

    public String getMentorStaffName() {
        return mentorStaffName;
    }

    public void setMentorStaffName(String mentorStaffName) {
        this.mentorStaffName = mentorStaffName;
    }

    public Long getState() {
        return state;
    }

    public void setState(Long state) {
        this.state = state;
    }

    public String getQuarterOne() {
        return quarterOne;
    }

    public void setQuarterOne(String quarterOne) {
        this.quarterOne = quarterOne;
    }

    public String getQuarterTwo() {
        return quarterTwo;
    }

    public void setQuarterTwo(String quarterTwo) {
        this.quarterTwo = quarterTwo;
    }

    public String getQuarterThree() {
        return quarterThree;
    }

    public void setQuarterThree(String quarterThree) {
        this.quarterThree = quarterThree;
    }

    public String getQuarterFour() {
        return quarterFour;
    }

    public void setQuarterFour(String quarterFour) {
        this.quarterFour = quarterFour;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }
}
